Skip to main content
PATCH
/
builders
/
{builderId}
/
photo-folders
/
{folderId}
Update photo folder
curl --request PATCH \
  --url https://api.buildpass.global/builders/{builderId}/photo-folders/{folderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parentId": "<string>"
}
'
import requests

url = "https://api.buildpass.global/builders/{builderId}/photo-folders/{folderId}"

payload = {
    "name": "<string>",
    "parentId": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', parentId: '<string>'})
};

fetch('https://api.buildpass.global/builders/{builderId}/photo-folders/{folderId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "builderId": "<string>",
  "projectId": "<string>",
  "parentId": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
Requires write:photos. Updates a photo folder name or parent folder. Parent folders must belong to the same builder and project.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required
folderId
string
required

Body

application/json
name
string
parentId
string | null

Response

200 - application/json

Photo folder updated

id
string
builderId
string
projectId
string | null
parentId
string | null
name
string
createdAt
string<date-time>
updatedAt
string<date-time>